﻿.product-card {
    height: 320px;
    border-radius: 15px;
    overflow: hidden;
    position: relative;
    cursor: pointer;
}

.card-bg {
    position: absolute;
    inset: 0;
    background-size: cover;
    background-position: center;
    transition: transform 0.5s ease;
}

    /* black fade overlay */
    .card-bg::after {
        content: "";
        position: absolute;
        inset: 0;
        background: linear-gradient(to top, rgba(0,0,0,0.7), transparent);
    }

/* hover zoom */
.product-card:hover .card-bg {
    transform: scale(1.1);
}

.product-name {
    position: absolute;
    bottom: 15px;
    left: 20px;
    right: 20px;
    color: #fff;
    font-size: 20px;
    font-weight: 600;
    z-index: 2;
}


table.dp-table {
    font-family: "Plus Jakarta Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    border-collapse: collapse;
    width: 100%;
}

    table.dp-table td, table.dp-table th {
        border: 1px solid #ddd;
        padding: 8px;
    }

    table.dp-table tr:nth-child(even) {
        background-color: #f2f2f2;
    }

    table.dp-table tr:hover {
        background-color: #ddd;
    }

    table.dp-table th {
        padding-top: 8px;
        padding-bottom: 8px;
        text-align: left;
        background-color: var(--primary-color-1);
        color: white;
    }

.product-mini {
    display: flex;
    justify-content: space-between;
    padding: 15px 20px;
    text-decoration: none;
    font-size: 20px;
    background-color: #E8EAEE;
    color: black;
    font-weight: 600;
    transition: all .4s ease-in-out;
}


    .product-mini:hover {
        background-color: var(--primary-color-1);
        color: white;
    }
    
    .product-mini.active {
        background-color: var(--primary-color-1);
        color: white;
    }

.product-banner {
    width: 100%;
    height: 300px;
    overflow: hidden;
    border-radius:10px;
}

    .product-banner img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
    }



@media (max-width: 768px) {
    .product-card {
        height: 200px;
    }
}

